package gov.va.med.cds.persistence.hibernate.rpc;

import java.util.List;
import java.util.Map;

public interface RpcParamStringBuilderInterface {
	
	String build(Map<String, String> queryParams);
	String getRpcName();
	String getRpcPatientArgName();
	String getPatientIdParamName();
	List<String> getUnusedRpcParamNames();
	String getCommandParamValue();
}
